<?php
/**
 * @copyright   Copyright (C) 2015 sketch.media, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */


defined('_JEXEC') or die;

$document = JFactory::getDocument();
$document->addStyleSheet('modules/mod_sketchtabs/stylesheets/styles.css');

    $unique_tabs = mt_rand(1000000, 9999999);

?>
<div class="sketchtabs <?php echo $moduleclass_sfx; ?>">
    <div class="tabs">

        <ul><?php $j = 1;
            foreach ($list as $item) : ?>


                <li><a href="#tabs-<?php echo $unique_tabs."-".$j; ?>"> <?php echo $item->title; ?></a></li>
                <?php $j++;
            endforeach; ?>
        </ul>

        <?php $i = 1;
        foreach ($list as $item) : ?>
            <div id="tabs-<?php echo $unique_tabs."-".$i; ?>">
                <div class="sketchtabs inside">

                        <div class="sketchtabs introtext">
                            <?php echo  JHtml::_('content.prepare',  $item->introtext); ?>

                        </div>


                    <?php if ($params->get('show_readmore')) : ?>
                        <div class="sketchtabs readmore">
                            <a class="mod-articles-category-title <?php echo $item->active; ?>"
                               href="<?php echo $item->link; ?>">
                                <?php if ($item->params->get('access-view') == false) : ?>
                                    <?php echo JText::_('MOD_SKETCHTABS_REGISTER_TO_READ_MORE'); ?>
                                <?php elseif ($readmore = $item->alternative_readmore) : ?>
                                    <?php echo $readmore; ?>
                                    <?php echo JHtml::_('string.truncate', $item->title, $params->get('readmore_limit')); ?>
                                    <?php if ($params->get('show_readmore_title', 0) != 0) : ?>
                                        <?php echo JHtml::_('string.truncate', ($this->item->title), $params->get('readmore_limit')); ?>
                                    <?php endif; ?>
                                <?php elseif ($params->get('show_readmore_title', 0) == 0) : ?>
                                    <?php echo JText::sprintf('MOD_SKETCHTABS_READ_MORE_TITLE'); ?>
                                <?php else : ?>
                                    <?php echo JText::_('MOD_SKETCHTABS_READ_MORE'); ?>
                                    <?php echo JHtml::_('string.truncate', ($item->title), $params->get('readmore_limit')); ?>
                                <?php endif; ?>
                            </a>
                        </div>
                    <?php endif; ?>
                </div>
            </div>
            <?php $i++;
        endforeach; ?>

    </div>
<div>
    <?php require(JPATH_ROOT . "/modules/mod_sketchtabs/helper/advert.php"); ?>
</div>

</div>
<script><?php require(JPATH_ROOT . "/modules/mod_sketchtabs/scripts/general.min.js"); ?></script>
